<?php

	require("_init.php");
	require("_connect2.php");
	require("_funcdb.php");
	require("_funcstd.php");

	$tblname = "tblpelang";

	$page = $_POST['page'];
	$rettotalpage = ( isset($_POST['rettotalpage']) ? true : false );
	$limit = 50;
	$importsemua = $_POST['importsemua'];
	$exportdatetime = VO2DateTime( $_POST['tglexport'], '00:00:00' );
	$kodecabang = $_POST['kodecab'];

	if ( !isset($_SESSION['processcode']) or $_SESSION['processcode'] != $_POST['processcode'] ) {
		die("Invalid process !");
	}

	if ( !isset($kodecabang) or $kodecabang <= 0 ) {
		die( "Error: Not a valid branch code !" );
	}

	if ( $importsemua ) {
		$perintahdb = "SELECT COUNT(*) AS Count FROM $tblname";
	} else {
		$perintahdb = "SELECT COUNT(*) AS Count FROM $tblname WHERE ( Export_DateTime >= '$exportdatetime' )";
	}

	$sqlquery = @DBQuery( $perintahdb );

	$row = DBFetchAssoc( $sqlquery );

	$count = $row['Count'];

	if( $count > 0 ) {
		$total_pages = ceil( $count / $limit );
	} else {
		$total_pages = 0;
	}

	if ( $page > $total_pages ) {
		$page = $total_pages;
	}

	$start = ( $limit * $page ) - $limit;

	if ( $start < 0 ) {
		$start = 0;
	}

	$responce = new StdClass;
	$responce->page = $page;
	$responce->total = $total_pages;
	$responce->records = $count;

	if ( $rettotalpage ) {
		$responce->statusok = true;
		die( json_encode($responce) );
	}

	if ( $importsemua ) {
		$perintahdb = "SELECT * FROM $tblname LIMIT $start, $limit";
	} else {
		$perintahdb = "SELECT * FROM $tblname WHERE ( Export_DateTime >= '$exportdatetime' ) LIMIT $start, $limit";
	}

	if ( $sqlquery = DBQuery( $perintahdb ) ) {
		$responce->statusok = true;
	}

	$i=0;

	while( $sqlrow = DBFetchAssoc( $sqlquery ) ) {

		$responce->rows[$i]['KodeCabang'] = $sqlrow['KodeCabang'];
		$responce->rows[$i]['Kode'] = $sqlrow['Kode'];
		$responce->rows[$i]['Tipe'] = $sqlrow['Tipe'];
		$responce->rows[$i]['Group_Pel'] = $sqlrow['Group_Pel'];
		$responce->rows[$i]['Group_Pe2'] = $sqlrow['Group_Pe2'];
		$responce->rows[$i]['Pel_Gabung'] = $sqlrow['Pel_Gabung'];
		$responce->rows[$i]['PJ_Reserv'] = $sqlrow['PJ_Reserv'];
		$responce->rows[$i]['PJ_Quotat'] = $sqlrow['PJ_Quotat'];
		$responce->rows[$i]['PJ_SalReq'] = $sqlrow['PJ_SalReq'];
		$responce->rows[$i]['PJ_SalOrd'] = $sqlrow['PJ_SalOrd'];
		$responce->rows[$i]['PJ_KlrStk'] = $sqlrow['PJ_KlrStk'];
		$responce->rows[$i]['PJ_Eceran'] = $sqlrow['PJ_Eceran'];
		$responce->rows[$i]['PJ_Cash'] = $sqlrow['PJ_Cash'];
		$responce->rows[$i]['PJ_Credit'] = $sqlrow['PJ_Credit'];
		$responce->rows[$i]['PJ_Cabang'] = $sqlrow['PJ_Cabang'];
		$responce->rows[$i]['PJ_RetCash'] = $sqlrow['PJ_RetCash'];
		$responce->rows[$i]['PJ_RetCrd'] = $sqlrow['PJ_RetCrd'];
		$responce->rows[$i]['PJ_DN'] = $sqlrow['PJ_DN'];
		$responce->rows[$i]['PJ_CN'] = $sqlrow['PJ_CN'];
		$responce->rows[$i]['PJ_Deposit'] = $sqlrow['PJ_Deposit'];
		$responce->rows[$i]['PJ_Invoice'] = $sqlrow['PJ_Invoice'];
		$responce->rows[$i]['PJ_Har_Lst'] = $sqlrow['PJ_Har_Lst'];
		$responce->rows[$i]['Tgl_Daftar'] = $sqlrow['Tgl_Daftar'];
		$responce->rows[$i]['NPWP'] = $sqlrow['NPWP'];
		$responce->rows[$i]['NPWP_Nama'] = $sqlrow['NPWP_Nama'];
		$responce->rows[$i]['NPWP_Alamat'] = $sqlrow['NPWP_Alamat'];
		$responce->rows[$i]['Title'] = $sqlrow['Title'];
		$responce->rows[$i]['Nama'] = $sqlrow['Nama'];
		$responce->rows[$i]['Alamat'] = $sqlrow['Alamat'];
		$responce->rows[$i]['Daerah'] = $sqlrow['Daerah'];
		$responce->rows[$i]['Daerah2'] = $sqlrow['Daerah2'];
		$responce->rows[$i]['Negara'] = $sqlrow['Negara'];
		$responce->rows[$i]['Agama'] = $sqlrow['Agama'];
		$responce->rows[$i]['No_KTP'] = $sqlrow['No_KTP'];
		$responce->rows[$i]['Jenis_Kel'] = $sqlrow['Jenis_Kel'];
		$responce->rows[$i]['Tmp_Lahir'] = $sqlrow['Tmp_Lahir'];
		$responce->rows[$i]['Tgl_Lahir'] = $sqlrow['Tgl_Lahir'];
		$responce->rows[$i]['Sts_Pers'] = $sqlrow['Sts_Pers'];
		$responce->rows[$i]['Pend_Akhir'] = $sqlrow['Pend_Akhir'];
		$responce->rows[$i]['Telepon'] = $sqlrow['Telepon'];
		$responce->rows[$i]['Telepon_2'] = $sqlrow['Telepon_2'];
		$responce->rows[$i]['Telepon_3'] = $sqlrow['Telepon_3'];
		$responce->rows[$i]['Fax'] = $sqlrow['Fax'];
		$responce->rows[$i]['Hubungi'] = $sqlrow['Hubungi'];
		$responce->rows[$i]['Hub_Telp_1'] = $sqlrow['Hub_Telp_1'];
		$responce->rows[$i]['Hubungi_2'] = $sqlrow['Hubungi_2'];
		$responce->rows[$i]['Hub_Telp_2'] = $sqlrow['Hub_Telp_2'];
		$responce->rows[$i]['Hubungi_3'] = $sqlrow['Hubungi_3'];
		$responce->rows[$i]['Hub_Telp_3'] = $sqlrow['Hub_Telp_3'];
		$responce->rows[$i]['Email'] = $sqlrow['Email'];
		$responce->rows[$i]['Website'] = $sqlrow['Website'];
		$responce->rows[$i]['Sps_Disc'] = $sqlrow['Sps_Disc'];
		$responce->rows[$i]['Sps_DiscIn'] = $sqlrow['Sps_DiscIn'];
		$responce->rows[$i]['Sps_Disc2'] = $sqlrow['Sps_Disc2'];
		$responce->rows[$i]['Sps_Disc2B'] = $sqlrow['Sps_Disc2B'];
		$responce->rows[$i]['Sps_Disc2C'] = $sqlrow['Sps_Disc2C'];
		$responce->rows[$i]['Disc_Pri'] = $sqlrow['Disc_Pri'];
		$responce->rows[$i]['Term_Crd'] = $sqlrow['Term_Crd'];
		$responce->rows[$i]['MU_Credit'] = $sqlrow['MU_Credit'];
		$responce->rows[$i]['Max_Crd'] = $sqlrow['Max_Crd'];
		$responce->rows[$i]['Max_Crd2'] = $sqlrow['Max_Crd2'];
		$responce->rows[$i]['Max_Crd_Pr'] = $sqlrow['Max_Crd_Pr'];
		$responce->rows[$i]['Max2_Crd'] = $sqlrow['Max2_Crd'];
		$responce->rows[$i]['Max2_Crd2'] = $sqlrow['Max2_Crd2'];
		$responce->rows[$i]['Max2_Crd_P'] = $sqlrow['Max2_Crd_P'];
		$responce->rows[$i]['Max3_Crd'] = $sqlrow['Max3_Crd'];
		$responce->rows[$i]['Max3_Crd_P'] = $sqlrow['Max3_Crd_P'];
		$responce->rows[$i]['Tanpa_CRDC'] = $sqlrow['Tanpa_CRDC'];
		$responce->rows[$i]['FakPjk_No'] = $sqlrow['FakPjk_No'];
		$responce->rows[$i]['PPN_Tipe'] = $sqlrow['PPN_Tipe'];
		$responce->rows[$i]['PPN_Pers'] = $sqlrow['PPN_Pers'];
		$responce->rows[$i]['PPN_PersEx'] = $sqlrow['PPN_PersEx'];
		$responce->rows[$i]['SetAdj1Per'] = $sqlrow['SetAdj1Per'];
		$responce->rows[$i]['SetAdj2Per'] = $sqlrow['SetAdj2Per'];
		$responce->rows[$i]['SetAdj3Per'] = $sqlrow['SetAdj3Per'];
		$responce->rows[$i]['SetAdj4Per'] = $sqlrow['SetAdj4Per'];
		$responce->rows[$i]['SetAdj5Per'] = $sqlrow['SetAdj5Per'];
		$responce->rows[$i]['Divisi_ID'] = $sqlrow['Divisi_ID'];
		$responce->rows[$i]['Sales'] = $sqlrow['Sales'];
		$responce->rows[$i]['Collector'] = $sqlrow['Collector'];
		$responce->rows[$i]['Non_Aktif'] = $sqlrow['Non_Aktif'];
		$responce->rows[$i]['Black_List'] = $sqlrow['Black_List'];
		$responce->rows[$i]['MU_Jual'] = $sqlrow['MU_Jual'];
		$responce->rows[$i]['Harga_Jual'] = $sqlrow['Harga_Jual'];
		$responce->rows[$i]['User_Lvl'] = $sqlrow['User_Lvl'];
		$responce->rows[$i]['Picture'] = $sqlrow['Picture'];
		$responce->rows[$i]['Cat_Show'] = $sqlrow['Cat_Show'];
		$responce->rows[$i]['Catatan'] = $sqlrow['Catatan'];
		$responce->rows[$i]['PJ_Gudang'] = $sqlrow['PJ_Gudang'];
		$responce->rows[$i]['PJ_MaUang'] = $sqlrow['PJ_MaUang'];
		$responce->rows[$i]['PJ_Sales'] = $sqlrow['PJ_Sales'];
		$responce->rows[$i]['PJ_DiscPer'] = $sqlrow['PJ_DiscPer'];
		$responce->rows[$i]['PJ_DiscNil'] = $sqlrow['PJ_DiscNil'];
		$responce->rows[$i]['PJ_Adj1Per'] = $sqlrow['PJ_Adj1Per'];
		$responce->rows[$i]['PJ_Adj2Per'] = $sqlrow['PJ_Adj2Per'];
		$responce->rows[$i]['PJ_Adj3Per'] = $sqlrow['PJ_Adj3Per'];
		$responce->rows[$i]['PJ_Adj4Per'] = $sqlrow['PJ_Adj4Per'];
		$responce->rows[$i]['PJ_Adj5Per'] = $sqlrow['PJ_Adj5Per'];
		$responce->rows[$i]['PJ_Adj1Nil'] = $sqlrow['PJ_Adj1Nil'];
		$responce->rows[$i]['PJ_Adj2Nil'] = $sqlrow['PJ_Adj2Nil'];
		$responce->rows[$i]['PJ_Adj3Nil'] = $sqlrow['PJ_Adj3Nil'];
		$responce->rows[$i]['PJ_Adj4Nil'] = $sqlrow['PJ_Adj4Nil'];
		$responce->rows[$i]['PJ_Adj5Nil'] = $sqlrow['PJ_Adj5Nil'];
		$responce->rows[$i]['PJ_Catatan'] = $sqlrow['PJ_Catatan'];
		$responce->rows[$i]['Card_SN'] = $sqlrow['Card_SN'];
		$responce->rows[$i]['Export_Oleh'] = $sqlrow['Export_Oleh'];
		$responce->rows[$i]['Export_DateTime'] = $sqlrow['Export_DateTime'];
		$responce->rows[$i]['Input_Oleh'] = $sqlrow['Input_Oleh'];
		$responce->rows[$i]['Input_DateTime'] = $sqlrow['Export_DateTime'];
		$responce->rows[$i]['Ubah_Oleh'] = $sqlrow['Ubah_Oleh'];
		$responce->rows[$i]['Ubah_DateTime'] = $sqlrow['Export_DateTime'];
		$responce->rows[$i]['Imp_Tgl'] = date('Ymd');
		$responce->rows[$i]['Imp_Jam'] = date('H:i:s');

		$i++;

	}

	@DBQueryFree($sqlquery);

	echo json_encode($responce);

?>